org.apache.hadoop.yarn.webapp.hamlet2

## Class HamletImpl.Generic<T extends HamletSpec.__>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.Generic<T>

- All Implemented Interfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Content, HamletSpec._RawContent, HamletSpec.PCData
  Enclosing class:
    HamletImpl

      public class HamletImpl.Generic<T extends HamletSpec.__>
      extends HamletImpl.EImp<T>
      implements HamletSpec.PCData

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletImpl.Generic<T>` | `__(Object... lines)` Content of the element
    `HamletImpl.Generic<T>` | `_attr(String name, String value)`
    `HamletImpl.Generic<HamletImpl.Generic<T>>` | `_elem(String name, EnumSet<HamletImpl.EOpt> opts)`
    `HamletImpl.Generic<T>` | `_inline()`
    `HamletImpl.Generic<T>` | `_noEndTag()`
    `HamletImpl.Generic<T>` | `_pre()`
    `HamletImpl.Generic<T>` | `_r(Object... lines)` Raw (no need to be HTML escaped) content
    `HamletImpl.Generic<HamletImpl.Generic<T>>` | `elem(String name)`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

      `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### _inline

          public HamletImpl.Generic<T> _inline()

    - #### _noEndTag

          public HamletImpl.Generic<T> _noEndTag()

    - #### _pre

          public HamletImpl.Generic<T> _pre()

    - #### _attr

          public HamletImpl.Generic<T> _attr(String name,
                                             String value)

    - #### _elem

          public HamletImpl.Generic<HamletImpl.Generic<T>> _elem(String name,
                                                                 EnumSet<HamletImpl.EOpt> opts)

    - #### elem

          public HamletImpl.Generic<HamletImpl.Generic<T>> elem(String name)

    - #### __

          public HamletImpl.Generic<T> __(Object... lines)

      Description copied from interface: `HamletSpec._Content`
      Content of the element
      Specified by:
        `__` in interface `HamletSpec._Content`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

    - #### _r

          public HamletImpl.Generic<T> _r(Object... lines)

      Description copied from interface: `HamletSpec._RawContent`
      Raw (no need to be HTML escaped) content
      Specified by:
        `_r` in interface `HamletSpec._RawContent`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.